<?php
/**
 * Variable product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/variable.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

$attribute_keys = array_keys( $attributes );

$product_cats = array_reverse(wp_get_post_terms($product->get_id(), 'product_cat'));
$subcat_iD = $product_cats[1]->term_id;
//do_action( 'woocommerce_before_add_to_cart_form' ); ?>



<div id="product" class="clearfix">
	<div class="product-images row animated">
        <div class = "btn-wrapper abs close-panel">
            <div class="pink-btn circle-btn"><a href="#"><span class = "abs-center backlink">Retour</span></a></div>
        </div>
        <div class="product-slides">
            <div class="product-header">
                <h2 class="crete -italic font-small">Serviettes Céli-ouate</h2>
                <h3 class="crete">Gamme <?php the_title();?></h3>
            </div>
            <div class="nav-slider transition">
                <ul>
                    <li id = "mozaique"><span class="icon mozaique row"></span><span class="desc">Mozaïque</span></li>
                    <li id = "zoom" data-active="false" ><span class="icon zoom"></span><span class="desc">Zoom</span></li>
                    <li><span class="icon download"></span><span class="desc">Télécharger</span></li>
                </ul>
            </div>
            <div class="slides-wrapper">
                <div id="slides"> 
                    <?php
                    $variations = $product->get_available_variations();
                    $var_colors = nap_distinct_color_variations($variations);
                    foreach ($var_colors as $key => $value) : ?>
                    <div class="image element-slider  easyzoom easyzoom--overlay easyzoom--with-toggle" data-color = "<?php echo $value?>" data-slick-index = "1">
                             <a href="<?php echo get_the_post_thumbnail_url($key, 'full')?>">
                            <img src="<?php echo get_the_post_thumbnail_url($key, 'medium')?>" alt="" />
                        </a>
                    </div>
                     
                        <?php
                    endforeach;
                    ?>
                    
                    <?php 
                    
                    if( get_field('images_ambiance','product_cat_'.$subcat_iD) ): 
                        $ambiance = array();
                         while ( has_sub_field('images_ambiance','product_cat_'.$subcat_iD) ) :
                             $image_amb= get_sub_field('img_ab');
                            $ambiance []= $image_amb;
                            $attachment = wp_get_attachment_image_src($image_amb,'medium');
                            $hd = wp_get_attachment_image_src($image_amb,'full');
                           
                          
                    ?>
                     <div class="image element-slider  easyzoom easyzoom--overlay easyzoom--with-toggle" data-color = "<?php echo $color?>" data-slick-index = "1">
                             <a href="<?php echo $hd[0];?>">
                            <img src="<?php echo $attachment[0] ;?>" alt="" />
                        </a>
                    </div>
                    
                     <?php 
                    endwhile;
                    endif;?>
                
            </div>  
            <div class="gallery clearfix">
                <div class="gallery-content clearfix">
                    <span class="close-btn"></span>
                    
                    <?php foreach ($var_colors as $key => $value) : ?>
                     <article class = "row" data-color = "<?php echo $value;?>">
                        <a href="<?php echo get_the_post_thumbnail_url($key, 'full')?>"></a>
                        <figure>
                            <img src="<?php echo get_the_post_thumbnail_url($key, 'medium')?>" alt="" title="">
                        </figure>
                    </article>
                    <?php endforeach;
                    
                     foreach ($ambiance as $key => $value) :
                         $attachment = wp_get_attachment_image_src($value,'medium');
                         $hd = wp_get_attachment_image_src($value,'full');
                         ?>
                   
                    <article class = "row" data-color = "red">
                        <a class = "download-btn" href="<?php echo $hd[0];?>" download></a>
                        <figure>
                            <img src="<?php echo $attachment[0] ;?>" alt="" title="">
                        </figure>
                    </article>
                    <?php endforeach; ?>
                   
                    
                </div>
            </div>
        </div> 
    </div>
</div>
   

<div class="product-details full-height row right clearfix transition">
    <div class="list row list-color left border-l">
        <div class="product-header center font-small">
            <span class = "chevron bottom">Choix de la couleur</span>
        </div>
        <ul>
             <?php foreach ($var_colors as $key => $value) : ?>
            <li class = ""><span data-color="<?php echo $value;?>"></span></li>
            <?php endforeach;?>

        </ul>
    </div>
    <div class="list row list-format left border-l">
        <div class="product-header center font-small">
            <span class = "chevron bottom">Choix du format</span>
        </div>
        <ul>
            <li class ="disabled">
                <span class= "format-img" data-width = "16" data-height = "22" ></span>
                <div class="format-desc">16x22 cm pliage en Z</div>
            </li>
            <li>
                <span class= "format-img" data-width = "20" data-height = "20" ></span>
                <div class="format-desc">20x20 cm <br> 2 feuilles</div>
            </li>
            <li>
                <span class= "format-img" data-width = "30" data-height = "30" ></span>
                <div class="format-desc">30x30 cm <br> 2 feuilles</div>
            </li>
            <li>
                <span class= "format-img" data-width = "30" data-height = "39" ></span>
                <div class="format-desc">30x39 cm <br> 2 feuilles</div>
            </li>
            <li>
                <span class= "format-img" data-width = "33" data-height = "33" ></span>
                <div class="format-desc">33x33 cm <br> 2 feuilles</div>
            </li>
            <li>
                <span class= "format-img" data-width = "39" data-height = "39" ></span>
                <div class="format-desc">39x39 cm <br> 2 feuilles</div>
            </li>
        </ul>
    </div>
    <div class="product-info row center left border-l">
        <div class="info-content">
           
            <h2 class = "crete -italic font-small" ><?php echo $product_cats[1]->name ?></h2>
            <h3 class = "crete -italic font-small" >39x39 abricot</h3>
            <div class="details font-small">
                <p>39 x 39 cm - 2 feuilles</p>
                <p>18 paquets de 100</p>
            </div>
            <div class="price">
                <span class="crete">45 € ht</span>
                <div class="notice">( prix public conseillé )</div>
                <div class="font-small">785226</div>
            </div>
        </div>
        <div class = "btn-list">
            <div class="btn pink-btn rounded">Nous contacter</div>
            <div class="btn pink-btn rounded download-btn">Télécharger la fiche technique</div>
        </div>
        <div class="font-small circle-btn add-icon show-product"><span class= "abs-center">Produits associées</span></div>
    </div>
</div>
<div class="product-list transition border-l fixed">
    <div class="suggest-header">
        <h2>Produits associés</h2>
        <span class="close-btn"></span>
    </div>
    <div class="product-list-content"> 
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc1.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br>serviettes</h3>
        </article>
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc2.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br> serviettes pliage décalè</h3>
        </article>
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc1.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br>serviettes</h3>
        </article>
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc2.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br> serviettes pliage décalè</h3>
        </article>
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc1.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br>serviettes</h3>
        </article>
        <article class = "row full-width">
            <a href="#"></a>
            <figure>
                <img src="img/assoc2.jpg" alt="" title="">
            </figure>
            <h3 class = "font-small" >Distributeur pour <br> serviettes pliage décalè</h3>
        </article>
    </div>
</div>
</div>

</div>

<form class="variations_form cart" method="post" enctype='multipart/form-data' data-product_id="<?php echo absint( $product->get_id() ); ?>" data-product_variations="<?php echo htmlspecialchars( wp_json_encode( $available_variations ) ) ?>">
	<?php do_action( 'woocommerce_before_variations_form' ); ?>
   
	<?php if ( empty( $available_variations ) && false !== $available_variations ) : ?>
		<p class="stock out-of-stock"><?php _e( 'This product is currently out of stock and unavailable.', 'woocommerce' ); ?></p>
	<?php else : ?>
		<table class="variations" cellspacing="0">
			<tbody>
				<?php foreach ( $attributes as $attribute_name => $options ) : ?>
					<tr>
						<td class="label"><label for="<?php echo sanitize_title( $attribute_name ); ?>"><?php echo wc_attribute_label( $attribute_name ); ?></label></td>
						<td class="value">
							<?php
								$selected = isset( $_REQUEST[ 'attribute_' . sanitize_title( $attribute_name ) ] ) ? wc_clean( stripslashes( urldecode( $_REQUEST[ 'attribute_' . sanitize_title( $attribute_name ) ] ) ) ) : $product->get_variation_default_attribute( $attribute_name );
								 wc_dropdown_variation_attribute_options( array( 'options' => $options, 'attribute' => $attribute_name, 'product' => $product, 'selected' => $selected ) );
								
                                                                echo end( $attribute_keys ) === $attribute_name ? apply_filters( 'woocommerce_reset_variations_link', '<a class="reset_variations" href="#">' . esc_html__( 'Clear', 'woocommerce' ) . '</a>' ) : '';
							?>
						</td>
					</tr>
				<?php endforeach;?>
			</tbody>
		</table>

		<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

		<div class="single_variation_wrap">
			<?php
				/**
				 * woocommerce_before_single_variation Hook.
				 */
				do_action( 'woocommerce_before_single_variation' );

				/**
				 * woocommerce_single_variation hook. Used to output the cart button and placeholder for variation data.
				 * @since 2.4.0
				 * @hooked woocommerce_single_variation - 10 Empty div for variation data.
				 * @hooked woocommerce_single_variation_add_to_cart_button - 20 Qty and cart button.
				 */
				do_action( 'woocommerce_single_variation' );

				/**
				 * woocommerce_after_single_variation Hook.
				 */
				//do_action( 'woocommerce_after_single_variation' );
			?>
		</div>

		<?php //do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	<?php endif; ?>

	<?php //do_action( 'woocommerce_after_variations_form' ); ?>
</form>
<a href="<?php echo get_permalink(43);?>" class="hidden download_file_link"></a>
 <a href="#" class="download_file">Télécharger la fiche technique </a>
<?php
//do_action( 'woocommerce_after_add_to_cart_form' );

?>





